---
title: "Serial handling on Arduino"
subtitle: "A basic introduction to Serial handling on the Arduino platform."
summary: "A basic introduction to Serial handling on the Arduino platform."
date: 2022-02-04T22:10:31+01:00
lastmod: 2022-02-04T22:10:31+01:00
diagram: true
draft: true
---

- Introduction
- Serial Monitor
- Newline / Synchronization
- RX/TX Buffer
- Serial API
- Pitfalls
  - Read/Debug
  - Lack of synchronization 
  - newline and linefeed
- Example - Single charecter 
- Example - By line read
- Advanced 
  - Parameters
- AT Commands
- JSON